\begin{exercise}{2.1}
  Let's note that if we expose a valid configuration for the last request of the Exercise, then all the previous ones are implied.
  
  Let's choose \(\PriorDist\) as the uniform distribution over the square \((0,1)\times(0,1)\), where each point has label equal \(1\):
  \[
    \ProbDist{s\in\left((x+\dif x, y+\dif y), \ell\right)}{\PriorDist} = 
      \begin{cases}
        \delta_{\ell, 0} & (x,y) \in (0,1)\times\left(0,\frac12\right] \\
        \delta_{\ell, 1} & (x,y) \in (0,1)\times\left(\frac12, 1\right)
      \end{cases}.
  \]
  The hypothesis class could be the set of horizontal line used at separator:
  \[
    h_q{(x,y)} =
    \begin{cases}
      0 &  y \le q \\
      1 &  y > q \\
    \end{cases}
    \qquad \HypClass = \left\{h_q \middle| q \in \mathds{R}\right\}.
  \]
  
  Since we consider only finite samples, almost every point is a minima. Moreover, the class contain the optimal classifier
  \[
    \TheoRisk{h_\frac12} = \EmpRisk{h_\frac12} = 0,
  \]
  that is obviously the global minima.
  
  It remains to show that there is at least a predictor in hypothesis class whose empirical risk is not null. Consider \(h_0\) and \(h_1\): they predict all points as 0 or 1 respectively, so they can't be both equivalent to the optimal predictor.
  
  
\end{exercise}